⭐ If you find Zipline useful, please consider giving it a star on Github! ⭐

/api/user/folders/{id}

DELETE/api/user/folders/{id}

Path Parameters

id*string

Request Body

application/json

Response Body

application/json

application/json

{
  "success": true,
  "folder": {
    "id": "string",
    "createdAt": "string",
    "updatedAt": "string",
    "name": "string",
    "public": true,
    "allowUploads": true,
    "parentId": "string",
    "userId": "string",
    "files": [
      {
        "createdAt": "2019-08-24T14:15:22Z",
        "updatedAt": "2019-08-24T14:15:22Z",
        "deletesAt": "2019-08-24T14:15:22Z",
        "favorite": true,
        "id": "string",
        "originalName": "string",
        "name": "string",
        "size": 0,
        "type": "string",
        "views": 0,
        "maxViews": 0,
        "password": "string",
        "folderId": "string",
        "anonymous": true,
        "thumbnail": {
          "path": "string"
        },
        "tags": [
          {
            "id": "string",
            "createdAt": "2019-08-24T14:15:22Z",
            "updatedAt": "2019-08-24T14:15:22Z",
            "name": "string",
            "color": "string",
            "files": [
              {
                "id": "string"
              }
            ]
          }
        ],
        "url": "string",
        "similarity": 0
      }
    ],
    "parent": null,
    "children": [
      null
    ],
    "_count": {
      "children": 0,
      "files": 0
    }
  }
}

{
  "error": "E1000: Invalid request schema",
  "code": 1000,
  "statusCode": 400
}